import { serverRequest } from '@/lib/server/request';
import { cache } from 'react';

export const fetchCharacter = cache(async (id: string) => {
  const { data } = await serverRequest('/api/character/detail', {
    data: {
      id,
    },
  });
  return data;
});
